using System;
using System.Collections;

namespace BBN.RDF.Common
{
#if DYNAMIC
	/// <summary>
	/// Summary description for SourceStore.
	/// </summary>
	public interface SourceStore : Store
	{
		Source DefaultSource
		{ 
			get;
			set;
		}
		void Add(Statement s, Source source);
		//Source CreateSource(string uri); 
		Source GetSource(string uri);
		Source GetStatementSource(Statement s); 
		IEnumerator ListBySource(Source source);
		IEnumerator ListSources();
		void SetStatementSource(Statement s, Source source);
	}
#endif
}
